> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin thỏa thuận

> Lấy thông tin giao dịch thỏa thuận.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml get /tartarus/v1/putThroughSnaps
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /tartarus/v1/putThroughSnaps:
    get:
      tags:
        - market-data
      summary: Thông tin thỏa thuận
      description: Lấy thông tin giao dịch thỏa thuận.
      operationId: getTartarusPutThroughSnaps
      parameters:
        - name: floor
          in: query
          required: false
          description: 'Rổ chứng khoán: 1 = HOSE, 2 = HNX, 3 = Upcom.'
          schema:
            $ref: '#/components/schemas/MarketFloor'
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  buyAdv:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                          description: Mã cổ phiếu.
                        price:
                          type: number
                          format: double
                          description: Giá.
                        vol:
                          type: number
                          format: double
                          description: Khối lượng.
                        time:
                          type: string
                          description: Thời gian.
                        status:
                          type: integer
                          description: Trạng thái.
                        color:
                          type: integer
                          description: Màu.
                        orderId:
                          type: string
                          description: Mã lệnh.
                        side:
                          type: string
                          description: Chiều (B = Mua).
                  sellAdv:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                          description: Mã cổ phiếu.
                        price:
                          type: number
                          format: double
                          description: Giá.
                        vol:
                          type: number
                          format: double
                          description: Khối lượng.
                        time:
                          type: string
                          description: Thời gian.
                        status:
                          type: integer
                          description: Trạng thái.
                        color:
                          type: integer
                          description: Màu.
                        orderId:
                          type: string
                          description: Mã lệnh.
                        side:
                          type: string
                          description: Chiều (S = Bán).
                  match:
                    type: array
                    items:
                      type: object
                      properties:
                        symbol:
                          type: string
                          description: Mã cổ phiếu.
                        price:
                          type: number
                          format: double
                          description: Giá khớp.
                        vol:
                          type: number
                          format: double
                          description: Khối lượng khớp.
                        val:
                          type: number
                          format: double
                          description: Giá trị.
                        time:
                          type: string
                          description: Thời gian khớp.
                        color:
                          type: integer
                          description: Màu.
                        accumulatedValue:
                          type: number
                          format: double
                          description: Giá trị tích lũy.
              example:
                buyAdv:
                  - symbol: DHT
                    price: 24300
                    vol: 50
                    time: 20231220-02:16:13.588
                    status: 1
                    color: 3
                    orderId: DHT00000000000036
                    side: B
                sellAdv:
                  - symbol: TCB
                    price: 24300
                    vol: 50
                    time: 20231220-02:16:13.588
                    status: 1
                    color: 3
                    orderId: TCB00000000000036
                    side: S
                match:
                  - symbol: TCB
                    price: 23455.5
                    vol: 5000
                    val: 117275000
                    time: '20:00:03'
                    color: 5
                    accumulatedValue: 254440000
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    MarketFloor:
      type: string
      description: 'Rổ chứng khoán: 1 = HOSE, 2 = HNX, 3 = Upcom.'
      enum:
        - '1'
        - '2'
        - '3'
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.